@import "../../../../assets/css/constants.scss";

@media only screen and (max-width: 768px) {
  .login-container {
    .login-us-form {
      padding: 40px 10px !important;
      .register-btn {
        font-size: 16px !important;
      }
    }
  }
}

.login-container {
  padding: 0;
  margin: 0;
  box-shadow: none;
  background: #f7f7f7;
  display: flex !important;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 90vh;
  .pwd-text {
    -webkit-text-security: disc;
  }
  .title {
    display: flex;
    justify-content: center;
    padding: 30px;
    margin: 0;
    background-color: var(--cx-color-background);
  }
  .login-us-form {
    min-width: 150px;
    max-width: 500px;
    width: 100%;
    min-height: 450px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    // box-shadow: 0 3px 36px rgba(0, 0, 0, 1.2);
    padding: 40px;
    margin: 40px auto;
  }
  .email-field,
  .password-field {
    width: 100%;
  }
  button {
    width: 100%;
  }
  .submit-btn {
    background-color: $SANED_BTN_PRIMARY !important;
    border-color: $SANED_BTN_PRIMARY !important;
    color: $PRIMARY_WHITE !important;
    font-size: 20px;
    font-weight: 400;
    height: 48px;
    max-height: 48px;
    width: 150px;
    float: right;
  }
  .reg-btn-group {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    .register-btn {
      font-size: 20px;
      font-weight: 400;
      color: $PRIMARY_WHITE !important;
      margin: 0px;
      width: 49%;
      height: 48px;
      background-color: $SANED_BTN_SECONDARY !important;
      max-height: 48px;
    }
  }

  .forgot-pwd {
    padding-bottom: 20px;
    a {
      color: $PRIMARY_BLACK;
      text-decoration: underline !important;
      &:hover {
        color: var(--cx-color-primary) !important;
      }
    }
  }
  .register-link {
    border-top: 1px solid grey;
    margin: 20px 0 10px;
    p {
      margin: 0;
      padding-top: 10px;
    }
  }

  .error-msg {
    display: flex;
    justify-content: center;
  }
  .resend-otp {
    padding: 10px;
    .resend-link {
      font-weight: 400;
      font-size: 1rem;
      color: $SANED_PRIMARY-COLOR;
      text-decoration: underline !important;
      cursor: pointer;
      display: inline-block;
    }
    .disable-link {
      pointer-events: none;
      opacity: 0.5;
    }
    .spinner-border {
      top: -2px;
      position: relative;
      margin-left: 10px;
      display: inline-block;
      width: 1rem;
      height: 1rem;
      border: 0.15em solid $SANED_PRIMARY-COLOR;
      border-right-color: transparent;
    }
  }
}
